# DataExchange
TKSTEPBase
StepBasic

# StepBasic_HArray1OfProduct Class Reference

`#include <StepBasic_HArray1OfProduct.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_HArray1OfProduct (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepBasic_HArray1OfProduct (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepBasic_Product)&V)
Standard_EXPORT void | Init (const Handle(StepBasic_Product)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepBasic_Product)&Value)
const Handle_StepBasic_Product & | Value (const Standard_Integer Index) const
Handle_StepBasic_Product & | ChangeValue (const Standard_Integer Index)
const StepBasic_Array1OfProduct & | Array1 () const
StepBasic_Array1OfProduct & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_Array1OfProduct | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_HArray1OfProduct::StepBasic_HArray1OfProduct | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepBasic_HArray1OfProduct::StepBasic_HArray1OfProduct | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepBasic_Product)& | V
| ) |

## Member Function Documentation

const StepBasic_Array1OfProduct& StepBasic_HArray1OfProduct::Array1 | ( |  | ) | const

StepBasic_Array1OfProduct& StepBasic_HArray1OfProduct::ChangeArray1 | ( |  | ) |

Handle_StepBasic_Product& StepBasic_HArray1OfProduct::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepBasic_HArray1OfProduct::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_HArray1OfProduct::Init | ( | const Handle(StepBasic_Product)& | V | ) |

Standard_Integer StepBasic_HArray1OfProduct::Length | ( |  | ) | const

Standard_Integer StepBasic_HArray1OfProduct::Lower | ( |  | ) | const

void StepBasic_HArray1OfProduct::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepBasic_Product)& | Value
| ) |

Standard_Integer StepBasic_HArray1OfProduct::Upper | ( |  | ) | const

const Handle_StepBasic_Product& StepBasic_HArray1OfProduct::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepBasic_Array1OfProduct StepBasic_HArray1OfProduct::myArray`[private]`

The documentation for this class was generated from the following file:

- StepBasic_HArray1OfProduct.hxx